/*
    Copyright (C) 2010  Kevin Funk <krf@electrostorm.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

#ifndef SOLID_NETWORKINTERFACE_WINCE_P_H
#define SOLID_NETWORKINTERFACE_WINCE_P_H

#include "networking.h"

#include <Iphlpapi.h>

namespace Solid {

class NetworkingWinCEPrivate
    : public Networking::Notifier
{
    Q_OBJECT
    Q_PROPERTY( uint Status READ status )

public:
    NetworkingWinCEPrivate();
    ~NetworkingWinCEPrivate();

    void shouldConnect() { Networking::Notifier::shouldConnect(); }
    void shouldDisconnect() { Networking::Notifier::shouldDisconnect(); }

    uint status() const { return m_networkingStatus; }

    static PIP_ADAPTER_INFO createAdapterInfoIndex();
    static void freeAdapterInfoIndex(PIP_ADAPTER_INFO adapterInfoIndex);

    static Networking::Status statusOfAdapter(PIP_ADAPTER_INFO info);

    Networking::Status m_networkingStatus;
    Networking::ManagementPolicy m_connectPolicy;
    Networking::ManagementPolicy m_disconnectPolicy;

private Q_SLOTS:
    void checkStatus();
};

}

#endif