/*
    Copyright (C) 2010  Kevin Funk <krf@electrostorm.net>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.

*/

#ifndef SOLID_NETWORKINGCONTROL_P_H
#define SOLID_NETWORKINGCONTROL_P_H

#include "networkingcontrol.h"

namespace Solid {

class NetworkingControlManager;
class NetworkingSession;

class NetworkingControlPrivate
    : public NetworkingControl::Controller
{
    Q_OBJECT

public:
    NetworkingControlPrivate();
    virtual ~NetworkingControlPrivate();

    void registerSession(NetworkingSession* session);

    QList<Solid::NetworkingSession*> activeNetworkingSessions() const;

private Q_SLOTS:
    void updateManager();
    void sessionDestroyed(QObject* object);

private:
    QList<Solid::NetworkingSession*> m_networkingSessions;

    Solid::NetworkingControlManager* m_manager;
};

}

#endif // NETWORKINGCONTROL_WINCE_P_H
